package type;
final public class AminoAcidHolder
	implements org.omg.CORBA.portable.Streamable
{
	public type.AminoAcid value;

	public AminoAcidHolder ()
	{
	}
	public AminoAcidHolder (type.AminoAcid initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return type.AminoAcidHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = type.AminoAcidHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		type.AminoAcidHelper.write(_out,value);
	}
}
